//
//  CODTokenTextView.h
//  TextViewTokens
//
//  Created by Robinson on 11.08.2014.
//  Copyright (c) 2014 Coding Turtle. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface CODTokenTextView : NSTextView <NSTextViewDelegate>

//the following two methods do not handle duplicates in any way.
//we have to remove them ourselves.
- (void)insertTokens:(NSArray *)tokens; //array of strings; useful to set up the text view for the first time
- (NSArray *)tokens; //useful to get data from the text view before we get rid of it

- (void)handleMouseEntered:(NSEvent *)event;
- (void)handleMouseMoved:(NSEvent *)event;
- (void)handleMouseExited:(NSEvent *)event;

@end
